/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2008 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id$
 * -------------------------------------------------------------------------
 */

package org.ow2.petals.component.framework.su;

import org.ow2.petals.component.framework.api.exception.PEtALSCDKException;
import org.ow2.petals.component.framework.api.su.ServiceUnitListener;
import org.ow2.petals.component.framework.jbidescriptor.generated.Jbi;

/**
 * Convenience class to used to avoid component developer to implement all the
 * methods when only a subset is required...
 * 
 * Created on 7 mai 2008
 * 
 * @author chamerling - EBM WebSourcing
 * @since 3.1
 * 
 */
public abstract class AbstractServiceUnitListener implements ServiceUnitListener {

    /*
     * (non-Javadoc)
     * 
     * @see org.ow2.petals.component.framework.su.ServiceUnitListener#onSUDeployed(java.lang.String,
     *      java.lang.String, org.ow2.petals.jbi.descriptor.JBIDescriptor)
     */
    public void onSUDeployed(String serviceUnitName, String suRootPath, Jbi descriptor)
            throws PEtALSCDKException {
    }

    /*
     * (non-Javadoc)
     * 
     * @see org.ow2.petals.component.framework.su.ServiceUnitListener#onSUStarted(java.lang.String)
     */
    public void onSUStarted(String serviceUnitName) throws PEtALSCDKException {
    }

    /*
     * (non-Javadoc)
     * 
     * @see org.ow2.petals.component.framework.su.ServiceUnitListener#onSUStopped(java.lang.String)
     */
    public void onSUStopped(String serviceUnitName) throws PEtALSCDKException {
    }

    /*
     * (non-Javadoc)
     * 
     * @see org.ow2.petals.component.framework.su.ServiceUnitListener#onSUUndeployed(java.lang.String,
     *      java.lang.String, org.ow2.petals.jbi.descriptor.JBIDescriptor)
     */
    public void onSUUndeployed(String serviceUnitName, String suRootPath, Jbi descriptor)
            throws PEtALSCDKException {
    }
}
